Bug 446367 - liveinst cannot see any partitions
Summary: liveinst cannot see any partitions
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 9
Hardware: i686
OS: Linux
low
high
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-14 10:39 UTC by Philip Ashmore
Modified: 2009-06-18 17:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-18 17:46:21 UTC


Attachments (Terms of Use)
/tmp/anaconda.log (3.25 KB, text/plain)
2008-06-18 08:03 UTC, Philip Ashmore
no flags Details
output of /usr/bin/lshal (79.46 KB, text/plain)
2008-06-18 08:04 UTC, Philip Ashmore
no flags Details

Description Philip Ashmore 2008-05-14 10:39:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.14) Gecko/20080416 Fedora/2.0.0.14-1.fc8 Firefox/2.0.0.14

Description of problem:
I installed the live image a hard disk partition and booted from it.
When I tried to install Fedora 9 using liveinst, it couldn't see any partitions.

Version-Release number of selected component (if applicable):
anaconda-11.4.0.82-1.rpm

How reproducible:
Always


Steps to Reproduce:
1. # mkdir /mnt/3
2. # mount -o loop -t iso9660 Fedora-9-i686-Live-KDE.iso /mnt/3
3. < use gparted to make the target partition bootable, in my case /dev/sda3 >
3. # sh /mnt/3/LiveOS/livecd-iso-to-disk Fedora-9-i686-Live-KDE.iso /dev/sda3
4. <reboot>
5. <live image boots>

Actual Results:
The live image runs, but liveinst can't see any partitions.

Expected Results:
liveinst should see partitions and be able to install on them.

Additional info:
What livecd-iso-to-disk doesn't explain is that when you install it to a local hard disk partition it overwrites the mbr so that when you use the menu option "boot from local disk" it lands you right back at the grub menu.

I recovered my installation as follows (my boot partition is on /dev/sda1)

1. < boot from Fedora 8 live image >
    I did this in case of incompatabilities between f8/grub and f9/grub
2. # mkdir /mnt/boot
3. # mount -t ext3 /dev/sda1 /mnt/boot
4. # /sbin/grub-install --no-floppy --root-directory=/mnt /dev/sda
    Could not find device for /dev/mapper/livecd-rw
    Installation finished. No error reported.
    This is the contents of the device map /mnt/boot/grub/device.map.
    Check if this is correct or not. If any of the lines is incorrect,
    fix it and re-run the script `grub-install'.

    # this device map was generated by anaconda
    (hd0)     /dev/sda

Comment 1 Chris Lumens 2008-06-17 20:55:49 UTC
Please attach /tmp/anaconda.log, /tmp/syslog, and the output of /sbin/lshal to
this bug report.  Thanks.

Comment 2 Philip Ashmore 2008-06-18 08:03:59 UTC
Created attachment 309702 [details]
/tmp/anaconda.log

Comment 3 Philip Ashmore 2008-06-18 08:04:48 UTC
Created attachment 309703 [details]
output of /usr/bin/lshal

Comment 4 Philip Ashmore 2008-06-18 08:15:49 UTC
Notes:
1. I can recover the mbr after running livecd-iso-to-disk using grub-install as
above before rebooting.
    This lets me boot the live image from my existing grub menu by adding

    title Fedora 9 Live CD
        rootnoverify (hd0,2)
        chainloader +1

    to /boot/grub/grub.conf.
2. I couldn't find /tmp/syslog.

Comment 5 Chris Lumens 2009-04-08 19:55:06 UTC
We have made extensive changes to the partitioning code for F11 beta, such that it is very difficult to tell whether your bug is still relevant or not.  Please test with either the latest rawhide you have access to or F11 and let us know whether you are still seeing this problem.  Thanks for the bug report.

Comment 6 Bug Zapper 2009-06-10 00:47:53 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.